IO::Evented - Crystal 1.11.2

# module IO::Evented

##
Defined in:

io/evented.cr

##
Instance Method Summary

- #evented_close : Nil
- #evented_read(slice : Bytes, errno_msg : String, &) : Int32
- #evented_reopen : Nil
- #evented_send(slice : Bytes, errno_msg : String, &) : Int32
- #evented_write(slice : Bytes, errno_msg : String, &) : Nil
- #read_timeout : Time::Span | Nil

  Returns the time to wait when reading before raising an `IO::TimeoutError`.

- #read_timeout=(read_timeout : Number) : Number

  Sets the number of seconds to wait when reading before raising an `IO::TimeoutError`.

- #read_timeout=(timeout : Time::Span | Nil) : Time::Span | Nil

  Sets the time to wait when reading before raising an `IO::TimeoutError`.

- #write_timeout : Time::Span | Nil

  Returns the time to wait when writing before raising an `IO::TimeoutError`.

- #write_timeout=(write_timeout : Number) : Number

  Sets the number of seconds to wait when writing before raising an `IO::TimeoutError`.

- #write_timeout=(timeout : Time::Span | Nil) : Time::Span | Nil

  Sets the time to wait when writing before raising an `IO::TimeoutError`.

##
Instance Method Detail

def evented_close : Nil #
def evented_read(slice : Bytes, errno_msg : String, &) : Int32 #
def evented_reopen : Nil #
def evented_send(slice : Bytes, errno_msg : String, &) : Int32 #
def evented_write(slice : Bytes, errno_msg : String, &) : Nil #
def read_timeout : Time::Span | Nil #

Returns the time to wait when reading before raising an `IO::TimeoutError`.

def read_timeout=(read_timeout : Number) : Number #

Sets the number of seconds to wait when reading before raising an `IO::TimeoutError`.

def read_timeout=(timeout : Time::Span | Nil) : Time::Span | Nil #

Sets the time to wait when reading before raising an `IO::TimeoutError`.

def write_timeout : Time::Span | Nil #

Returns the time to wait when writing before raising an `IO::TimeoutError`.

def write_timeout=(write_timeout : Number) : Number #

Sets the number of seconds to wait when writing before raising an `IO::TimeoutError`.

def write_timeout=(timeout : Time::Span | Nil) : Time::Span | Nil #

Sets the time to wait when writing before raising an `IO::TimeoutError`.